Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.sql
Class SqlQueryAssembler

    java.lang.Object
      com.servingxml.components.sql.SqlQueryAssembler

    public class SqlQueryAssembler

extends java.lang.Object

The `SqlQueryAssembler` implements an assembler for assembling system `SqlQuery` objects.

Constructor Summary
`SqlQueryAssembler()`

Method Summary
`SqlQuery` | `assemble(ConfigurationContext context)`
`void` | `injectComponent(EscapeSubstitutionVariables escapeVariables)`
`void` | `injectComponent(ParameterDescriptor[] parameterDescriptors)`
`void` | `injectComponent(QuoteSymbol quoteSymbol)`
`void` | `injectComponent(XsltConfiguration xsltConfiguration)`
`void` | `setRecordType(Name recordTypeName)`
`void` | `setTrim(java.lang.String value)`
`void` | `setTrimLeading(java.lang.String trimLeading)`
`void` | `setTrimTrailing(java.lang.String trimTrailing)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SqlQueryAssembler

    public SqlQueryAssembler()

Method Detail

### setRecordType

    public void setRecordType(Name recordTypeName)

### setTrim

    public void setTrim(java.lang.String value)

### setTrimLeading

    public void setTrimLeading(java.lang.String trimLeading)

### setTrimTrailing

    public void setTrimTrailing(java.lang.String trimTrailing)

### injectComponent

    public void injectComponent(ParameterDescriptor[] parameterDescriptors)

### injectComponent

    public void injectComponent(XsltConfiguration xsltConfiguration)

### injectComponent

    public void injectComponent(EscapeSubstitutionVariables escapeVariables)

### injectComponent

    public void injectComponent(QuoteSymbol quoteSymbol)

### assemble

    public SqlQuery assemble(ConfigurationContext context)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD